## com.gargoylesoftware.htmlunit.html
Interface HTMLParserListener

    public interface HTMLParserListener

Listener for messages from the HTML parser.
The classification of problems as warnings or errors is the one of the HTML parser used by HtmlUnit. The line and column may indicates the position of the problem detected by the parser. This is only an indication and in some cases the position where the problem has to be solved is located lines before.

Version:
  $Revision: 4789 $
Author:
  Marc Guillemot

Field Summary
`static HTMLParserListener` `LOG_REPORTER` Simple implementation of `HTMLParserListener` logging the received warnings and errors in the "com.gargoylesoftware.htmlunit.html.HTMLParserListener" log. Errors are logged at the error level and warnings at the warning level.

Method Summary
`void` `error(java.lang.String message, java.net.URL url, int line, int column, java.lang.String key)` Called when the HTML parser reports an error.
`void` `warning(java.lang.String message, java.net.URL url, int line, int column, java.lang.String key)` Called when the HTML parser reports a warning.

Field Detail

### LOG_REPORTER

    static final HTMLParserListener LOG_REPORTER

  Simple implementation of `HTMLParserListener` logging the received warnings and errors in the "com.gargoylesoftware.htmlunit.html.HTMLParserListener" log.
  Errors are logged at the error level and warnings at the warning level.

Method Detail

### error

    void error(java.lang.String message,
               java.net.URL url,
               int line,
               int column,
               java.lang.String key)

  Called when the HTML parser reports an error.

  Parameters:
    `message` - the description of the problem
    `url` - the URL of the document in which the problem occurs
    `line` - the line of the problem
    `column` - the column of the problem
    `key` - the key identifying the "type" of problem

### warning

    void warning(java.lang.String message,
                 java.net.URL url,
                 int line,
                 int column,
                 java.lang.String key)

  Called when the HTML parser reports a warning.

  Parameters:
    `message` - the description of the problem
    `url` - the URL of the document in which the problem occurs
    `line` - the line of the problem
    `column` - the column of the problem
    `key` - the key identifying the "type" of problem

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.